DefaultMMPViewConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultMMPViewConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultMMPViewConfiguration

    java.lang.Object
      com.nokia.carbide.cdt.builder.DefaultViewConfiguration
          com.nokia.carbide.cdt.builder.DefaultMMPViewConfiguration

All Implemented Interfaces:
  IViewConfiguration, IMMPViewConfiguration

    public class DefaultMMPViewConfiguration

extends DefaultViewConfiguration
implements IMMPViewConfiguration

Field Summary

Fields inherited from class com.nokia.carbide.cdt.builder.DefaultViewConfiguration
`bldInfPath, context, extraMacros, project, projectPath, viewFilter, viewParserConfiguration`

Constructor Summary
`DefaultMMPViewConfiguration(ICarbideBuildConfiguration buildConfiguration, IViewFilter viewFilter)` Configuration for the given build configuration of the project with the given filter
`DefaultMMPViewConfiguration(ICarbideProjectInfo info, IViewFilter viewFilter)` Configuration for the default build configuration of the project
`DefaultMMPViewConfiguration(IPath projectPath)` Configuration for "all" filtering based at the given location.
`DefaultMMPViewConfiguration(IProject project, ISymbianBuildContext context, IViewFilter viewFilter)` Configuration for the given build configuration of the project with the given filter

Method Summary
`java.lang.String` | `getDefaultDefFileBase(boolean isASSP)` Get the default directory used for .def file exports.
`boolean` | `isEmulatorBuild()` Tell if this is an emulator build.
`boolean` | `isStatementSupported(EMMPStatement statement)` Tell whether the given MMP keyword is supported.

Methods inherited from class com.nokia.carbide.cdt.builder.DefaultViewConfiguration
`equals, getExtraMacros, getMacros, getViewFilter, getViewParserConfiguration, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IViewConfiguration
`getMacros, getViewFilter, getViewParserConfiguration`

Constructor Detail

### DefaultMMPViewConfiguration

    public DefaultMMPViewConfiguration(ICarbideProjectInfo info,
                                       IViewFilter viewFilter)

  Configuration for the default build configuration of the project

### DefaultMMPViewConfiguration

    public DefaultMMPViewConfiguration(IProject project,
                                       ISymbianBuildContext context,
                                       IViewFilter viewFilter)

  Configuration for the given build configuration of the project with the given filter

### DefaultMMPViewConfiguration

    public DefaultMMPViewConfiguration(ICarbideBuildConfiguration buildConfiguration,
                                       IViewFilter viewFilter)

  Configuration for the given build configuration of the project with the given filter

### DefaultMMPViewConfiguration

    public DefaultMMPViewConfiguration(IPath projectPath)

  Configuration for "all" filtering based at the given location.

Method Detail

### isStatementSupported

    public boolean isStatementSupported(EMMPStatement statement)

  Description copied from interface: `IMMPViewConfiguration`
  Tell whether the given MMP keyword is supported.

  Specified by:
    `isStatementSupported` in interface `IMMPViewConfiguration`

### getDefaultDefFileBase

    public java.lang.String getDefaultDefFileBase(boolean isASSP)

  Description copied from interface: `IMMPViewConfiguration`
  Get the default directory used for .def file exports.

  Specified by:
    `getDefaultDefFileBase` in interface `IMMPViewConfiguration`
  Parameters:
    `isASSP` - true if this is an ASSP build
  Returns:
    the name of the directory used for platform-specific defs (e.g. "BWINS", "EABI", ...). This directory, if present, is removed from the path before setting DEFFILE. May be null if unknown.

### isEmulatorBuild

    public boolean isEmulatorBuild()

  Description copied from interface: `IMMPViewConfiguration`
  Tell if this is an emulator build. Used for .def filepath calculation.

  Specified by:
    `isEmulatorBuild` in interface `IMMPViewConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD